<?php
$cornerDefaultOptions = array(
	// Header
	'header_tagline' => false,
	'title_font_size' => '40',
	'use_banner' => false,
	'random_banner' => false,
	'subscribe_menu' => true,
	// Reading
	'list_layout' => 'full',
	'list_date' => false,
	'pagenavi_type' => 'builtin',
	'pagenavi_ajax' => true,
	'sharing_button' => true,
	// Comment
	'trackback_options' => true,
	'reply_before_at' => false,
	// Footer
	'footer_menu_enable' => false,
	'footer_content' => '',
);
$optionsSaved = false;

function corner_create_options(){
	// Default values
	  $options = $GLOBALS['cornerDefaultOptions'];
	
	  // Overridden values
	  $DBOptions = get_option('corner_options');
	  if ( !is_array($DBOptions) ) $DBOptions = array();
	
	  // Merge
	  // Values that are not used anymore will be deleted
	  foreach ( $options as $key => $value )
	    if ( isset($DBOptions[$key]) )
	      $options[$key] = $DBOptions[$key];
	      update_option('corner_options', $options);
	      return $options;
}

function corner_get_options() {
  static $return = false;
  if($return !== false)
    return $return;

    $options = get_option('corner_options');
      if(!empty($options) && count($options) == count($GLOBALS['cornerDefaultOptions']))
      $return = $options;
      else $return = $GLOBALS['cornerDefaultOptions'];
      return $return;
}

function corner_add_theme_options() {
	global $optionsSaved;
	if(isset($_POST['corner_save_options'])) {
		$options = corner_create_options();
		// Header
		if (isset($_POST['header_tagline'])) {
		$options['header_tagline'] = (bool)true;
		} else {
		$options['header_tagline'] = (bool)false;
		}
		$options['title_font_size'] = stripslashes($_POST['title_font_size']);
		if (isset($_POST['use_banner'])) {
		$options['use_banner'] = (bool)true;
		} else {
		$options['use_banner'] = (bool)false;
		}
		if (isset($_POST['random_banner'])) {
		$options['random_banner'] = (bool)true;
		} else {
		$options['random_banner'] = (bool)false;
		}
		if (isset($_POST['subscribe_menu'])) {
		$options['subscribe_menu'] = (bool)true;
		} else {
		$options['subscribe_menu'] = (bool)false;
		}
		// Reading
		$options['list_layout'] = $_POST['list_layout'];
		if (isset($_POST['list_date'])) {
		$options['list_date'] = (bool)true;
		} else {
		$options['list_date'] = (bool)false;
		}
		$options['pagenavi_type'] = $_POST['pagenavi_type'];
		if (isset($_POST['pagenavi_ajax'])) {
		$options['pagenavi_ajax'] = (bool)true;
		} else {
		$options['pagenavi_ajax'] = (bool)false;
		}
		if (isset($_POST['sharing_button'])) {
		$options['sharing_button'] = (bool)true;
		} else {
		$options['sharing_button'] = (bool)false;
		}
		// Comment
		if (isset($_POST['trackback_options'])) {
		$options['trackback_options'] = (bool)true;
		} else {
		$options['trackback_options'] = (bool)false;
		}
		if (isset($_POST['reply_before_at'])) {
		$options['reply_before_at'] = (bool)true;
		} else {
		$options['reply_before_at'] = (bool)false;
		}
		// Footer
		$options['footer_content'] = stripslashes($_POST['footer_content']);
		if (isset($_POST['footer_menu_enable'])) {
		$options['footer_menu_enable'] = (bool)true;
		} else {
		$options['footer_menu_enable'] = (bool)false;
		}
		update_option('corner_options', $options);
		$optionsSaved = true;
	}
	add_theme_page(__('Theme Options', 'corner'), __('Theme Options', 'corner'), 'edit_themes', basename(__FILE__), 'corner_add_theme_page');
}

function corner_add_theme_page() {
	global $optionsSaved;
	
	$options = corner_get_options();
?>

<div class="wrap">
	<div class="header">
		<div id="corner_switch">
			<h2><?php _e('Theme Options','corner'); ?></h2>
			<a id="corner_header"><?php _e('Header','corner'); ?></a>
			<a id="corner_reading"><?php _e('Reading','corner'); ?></a>
			<a id="corner_comment"><?php _e('Comments','corner'); ?></a>
			<a id="corner_footer"><?php _e('Footer','corner'); ?></a>
			<a id="corner_manual"><?php _e('Manual','corner'); ?></a>
		</div>
	</div>
	<div class="clearfix"></div>
	<form method="post" action="#" enctype="multipart/form-data" id="corner">
		<?php if( $optionsSaved )
			echo '<div id="corner_updated"><p><strong>'.__('Theme options have been saved.', 'corner').'</strong></p></div>'; ?>
		<table class="corner_box" id="corner_header">
			<tr>
				<td class="left"><?php _e('Tagline','corner'); ?></td>
				<td class="right">
					<?php _e('Display the blog tagline.','corner'); ?><br />
					<input id="header_tagline" name="header_tagline" type="checkbox" value="checkbox" <?php if($options['header_tagline']) echo "checked='checked'"; ?> /><label for="header_tagline"><?php _e('Enable', 'corner'); ?></label>
				</td>
			</tr>
			<tr>
				<td class="left"><?php _e('Font Size','corner'); ?></td>
				<td class="right">
					<?php _e('Adjust the font size of the blog title. (Default is 40 pixels)','corner'); ?><br />
					<label for="title_font_size"><?php _e('Size:','corner'); ?></label><input id="title_font_size" type="text" name="title_font_size" maxlength="2" size="2" value="<?php echo($options['title_font_size']); ?>" /> <?php _e('px (pixels)','corner'); ?>
				</td>
			</tr>
			<tr>
				<td class="left"><?php _e('Banner','corner'); ?></td>
				<td class="right" id="banner">
					<?php _e('Display the banner. The size of banner is 700x200 pixels. (You can customize your own banner in "Appearance" &rarr; "Header".)','corner'); ?><br />
					<?php _e('If you enabled "Random Banner", you have to put your banner in "/headers" folder. When pages refreshed, photos will be randomly displayed.','corner'); ?><br />
					<input id="use_banner" name="use_banner" type="checkbox" value="checkbox" <?php if($options['use_banner']) echo "checked='checked'"; ?> /><label for="use_banner"><?php _e('Enable', 'corner'); ?></label>
					<div class="child">
						<input id="random_banner" name="random_banner" type="checkbox" value="checkbox" <?php if($options['random_banner']) echo "checked='checked'"; ?> /><label for="random_banner"><?php _e('Enable Random Banner', 'corner'); ?></label>
					</div>
				</td>
			</tr>
			<tr>
				<td class="left"><?php _e('Subscription Menu','corner'); ?></td>
				<td class="right">
					<?php _e('Show the subscription menu on the rightmost side of the menu. (You can customize your own menu in "Appearance" &rarr; "Menus".)','corner'); ?><br />
					<input id="subscribe_menu" name="subscribe_menu" type="checkbox" value="checkbox" <?php if($options['subscribe_menu']) echo "checked='checked'"; ?> /><label for="subscribe_menu"><?php _e('Enable', 'corner'); ?></label>
				</td>
			</tr>
		</table>
		<table class="corner_box" id="corner_reading">
			<tr>
				<td class="left"><strong><?php _e('Layout','corner'); ?></strong></td>
				<td class="right">
				<?php _e('Select the layout of home page and archives page.','corner'); ?><br />
				<select name="list_layout">
					<option id="full" value="full" <?php if($options['list_layout'] == full) echo ' selected '; ?>><?php _e('Full', 'corner'); ?></option>
					<option id="thumbnail" value="thumbnail" <?php if($options['list_layout'] == thumbnail) echo ' selected '; ?>><?php _e('Excerpt & Thumbnails','corner'); ?></option>
					<option id="title" value="title" <?php if($options['list_layout'] == title) echo ' selected '; ?>><?php _e('Only Title', 'corner'); ?></option>
				</select><br />
				<?php _e('Display the date of posts in home page and archive pages.','corner'); ?><br />
				<input id="list_date" name="list_date" type="checkbox" value="checkbox" <?php if($options['list_date']) echo "checked='checked'"; ?> /><label for="list_date"><?php _e('Enable', 'corner'); ?></label>
				</td>
			</tr>
			<tr>
				<td class="left"><strong><?php _e('Page Navi','corner'); ?></strong></td>
				<td class="right">
				<?php _e('Select the way of navigation.','corner'); ?><br /><?php _e('If you select "Plugin", you should install the plugin "WP-PageNavi" first.','corner'); ?><br />
				<select name="pagenavi_type">
					<option id="builtin" value="builtin" <?php if($options['pagenavi_type'] == builtin) echo ' selected '; ?>><?php _e('Built in theme', 'corner'); ?></option>
					<option id="plugin" value="plugin" <?php if($options['pagenavi_type'] == plugin) echo ' selected '; ?>><?php _e('Plugin (WP-PageNavi)', 'corner'); ?></option>
					<option id="system" value="system" <?php if($options['pagenavi_type'] == system) echo ' selected '; ?>><?php _e('WordPress Default', 'corner'); ?></option>
				</select><br />
				<?php _e('You can also enable AJAX, users can turn to other pages without refreshing. (Original by yinheli)','corner'); ?><br />
				<input id="pagenavi_ajax" name="pagenavi_ajax" type="checkbox" value="checkbox" <?php if($options['pagenavi_ajax']) echo "checked='checked'"; ?> /><label for="pagenavi_ajax"><?php _e('Enable', 'corner'); ?></label>
				</td>
			</tr>
			<tr>
				<td class="left"><strong><?php _e('Sharing Button','corner'); ?></strong></td>
				<td class="right">
				<?php _e('Display a sharing button in your articles. (Powered by AddToAny)','corner'); ?><br />
				<input id="sharing_button" name="sharing_button" type="checkbox" value="checkbox" <?php if($options['sharing_button']) echo "checked='checked'"; ?> /><label for="sharing_button"><?php _e('Enable', 'corner'); ?></label>
				</td>
			</tr>
		</table>
		<table class="corner_box" id="corner_comment">
			<tr>
				<td class="left"><strong><?php _e('Trackback','corner'); ?></strong></td>
				<td class="right">
				<?php _e('Show the trackback from other sites.','corner'); ?><br />
				<input id="trackback_options" name="trackback_options" type="checkbox" value="checkbox" <?php if($options['trackback_options']) echo "checked='checked'"; ?> /><label for="trackback_options"><?php _e('Enable', 'corner'); ?></label>
				</td>
			</tr>
			<tr>
				<td class="left"><strong><?php _e('Reply','corner'); ?></strong></td>
				<td class="right">
				<?php _e('Add "@username" before every reply.','corner'); ?><br />
				<input id="reply_before_at" name="reply_before_at" type="checkbox" value="checkbox" <?php if($options['reply_before_at']) echo "checked='checked'"; ?> /><label for="reply_before_at"><?php _e('Enable', 'corner'); ?></label><br />
				</td>
			</tr>
		</table>
		<table class="corner_box" id="corner_footer">
			<tr>
				<td class="left"><strong><?php _e('Footer Menu','corner'); ?></strong></td>
				<td class="right">
				<?php _e('Show the menu in footer.','corner'); ?><br />
				<input id="footer_menu_enable" name="footer_menu_enable" type="checkbox" value="checkbox" <?php if($options['footer_menu_enable']) echo "checked='checked'"; ?> /><label for="footer_menu_enable"><?php _e('Enable', 'corner'); ?></label>
				</td>
			</tr>
			<tr>
				<td class="left"><strong><?php _e('Footer Information','corner'); ?></strong></td>
				<td class="right">
				<?php _e('Show the custom information in footer. Default is "Copyright &copy; 2011 Your Site". (HTML is avalible)','corner'); ?><br />
				<textarea name="footer_content" cols="95%" rows="5"><?php echo($options['footer_content']); ?></textarea>
				</td>
			</tr>
		</table>
		<table class="corner_box" id="corner_manual">
			<tr>
				<td class="left"><?php _e('Menu','corner'); ?></td>
				<td class="right">
					<?php _e('How to display "Home Page" link as an icon?','corner'); ?><br />
					<?php _e('1. Go to "Appearance" &rarr; "Menus".','corner'); ?><br />
					<?php _e('2. Click "Screen Options" in upper-right corner.','corner'); ?><br />
					<?php _e('3. Check "Show advanced menu properties" &rarr; "CSS Classes".','corner'); ?><br />
					<?php _e('4. Filled in the CSS Classes of home page with "home".','corner'); ?><br />
				</td>
			</tr>
			<tr>
				<td class="left"><strong><?php _e('WP-PageNavi','corner'); ?></strong></td>
				<td class="right">
				<span style="color: rgb(136,136,136);"><?php _e('&lowast; Be sure that you have installed WP-PageNavi.','corner'); ?></span><br />
				<?php _e('1. Go to "Setting" &rarr; "PageNavi"','corner'); ?><br />
				<?php _e('2. Enter the values below:','corner'); ?><br />
				<ul class="manual">
					<li><?php _e('Text For Number Of Pages &rarr; Leave it blank','corner'); ?></li>
					<li><?php _e('Text For Current Page &rarr; %PAGE_NUMBER%','corner'); ?></li>
					<li><?php _e('Text For Page &rarr; %PAGE_NUMBER%','corner'); ?></li>
					<li><?php _e('Text For Previous ...&rarr; Leave it blank','corner'); ?></li>
					<li><?php _e('Text For Next ...&rarr; Leave it blank','corner'); ?></li>
					<li><?php _e('Use pagenavi-css.css &rarr; No','corner'); ?></li>
				</ul>
				<span style="color: rgb(136,136,136);"><?php _e('&lowast; Others values choose as you like, but the value of "Use pagenavi-css.css" must be No.','corner'); ?></span>
				</td>
			</tr>
		</table>
		<p><input class="button-primary" type="submit" name="corner_save_options" value="<?php _e('Save Changes', 'corner'); ?>" /></p>
	</form>
</div>

<?php
}
function corner_admin_CSS() {
	wp_enqueue_style('cornerAdminCSS', get_template_directory_uri().'/admin/admin.css');
}
function corner_admin_script() {
	wp_enqueue_script('cornerAdminScript', get_template_directory_uri().'/admin/admin.js');
}
add_action('admin_menu', 'corner_create_options');
add_action('admin_menu', 'corner_add_theme_options');
add_action('admin_print_styles', 'corner_admin_CSS');
add_action('admin_print_scripts', 'corner_admin_script');
?>