/* Easing */
jQuery.easing.quart = function (x, t, b, c, d) {
	return -c * ((t=t/d-1)*t*t*t - 1) + b;
};
jQuery.easing.OutBounce = function (x, t, b, c, d) {
	if ((t/=d) < (1/2.75)) {
		return c*(7.5625*t*t) + b;
	} else if (t < (2/2.75)) {
		return c*(7.5625*(t-=(1.5/2.75))*t + .75) + b;
	} else if (t < (2.5/2.75)) {
		return c*(7.5625*(t-=(2.25/2.75))*t + .9375) + b;
	} else {
		return c*(7.5625*(t-=(2.625/2.75))*t + .984375) + b;
	}
};
/* Mouse commands */
jQuery(document).ready(function(){
	/* Search */
	jQuery('#search_button').click(function(){
		jQuery(this).hide();
		jQuery('#search').show().animate({top:0},600,"OutBounce");
		jQuery('#search input#s1').focus();
	});
	jQuery('#search .cancel').click(function(){
		jQuery('#search_button').show();
		jQuery('#search').hide().animate({top:-60},1);
		jQuery('#search input#s1').attr("value",'');
	});
	/* Menus */
	jQuery('#subscribe, .menu li, #archive_meta .detail').hover(function(){
		jQuery(this).addClass('current');
		jQuery(this).find('ul:eq(0)').fadeIn(300);
	},function(){
		jQuery(this).find('ul:eq(0)').fadeOut(300);
		jQuery(this).removeClass('current');
	});
	jQuery('.menu li ul li ul li').parent().prev().addClass('nested');
	jQuery('.menu li ul li ul li').parent().parent().addClass('nested');
	jQuery('li.nested ul').hover(function(){
		jQuery(this).prev().addClass('nested_hover');
	},function(){
		jQuery(this).prev().removeClass('nested_hover');
	});
	/* Width of Menu & Widget */	
	var docuWidth = jQuery(window).width();
	function reset_side_width(){
		var contentWidth = jQuery('#content').width();
		jQuery('#header .title, #sidebar').width(contentWidth - 720);
	}
	if( docuWidth < 1140 ){
		reset_side_width();
	}
	jQuery(window).resize(function(){
		reset_side_width();
	});
});
/* Home AJAX by yinheli - http://philna.com/ */
function home_page_ajax(){ 
	jQuery('.wp-pagenavi a').click(function(){
		var paurl = jQuery(this).attr('href');
		jQuery.ajax({
			url:paurl,
			data:"action=ajax_page",
			dataType:'html',
			type: 'POST',
			beforeSend: function(){
				document.body.style.cursor = 'wait';
				jQuery('.wp-pagenavi').html(al_loading);
			},
			error: function(request) {
				alert(al_error);
			},
			success:function(data){
				jQuery('#main_col').html(data);
				jQuery('html,body').animate({scrollTop:jQuery('#content').offset().top - 20}, 800, "quart");
				document.body.style.cursor = 'auto';
				home_page_ajax();
			}
		});
		return false;
		});
	}